# Generated by Django 2.2.5 on 2020-02-03 16:00

import datetime
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Settings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path_to_trace_dir', models.CharField(default='/home/pi/traces/', max_length=120, verbose_name='Path to Traces Directory:')),
                ('path_to_garmin_device', models.CharField(default='/run/user/1000/gvfs/', max_length=120, verbose_name='Path to Garmin Device:')),
                ('file_checker_interval', models.IntegerField(default=60, verbose_name='File Checker Time Interval:')),
                ('number_of_days', models.IntegerField(choices=[(9999, 'all'), (365, 365), (180, 180), (90, 90), (30, 30), (10, 10), (5, 5)], default=30)),
                ('trace_width', models.FloatField(default=3.0, max_length=20, verbose_name='Width of Traces:')),
                ('trace_opacity', models.FloatField(default=0.7, max_length=20, verbose_name='Opacity of Traces:')),
                ('plotting_style', models.CharField(choices=[('bar', 'stacked bar chart'), ('line', 'multiline')], default='bar', max_length=120, verbose_name='Plotting Style:')),
            ],
        ),
        migrations.CreateModel(
            name='Sport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=24, unique=True, verbose_name='Sport Name:')),
                ('color', models.CharField(max_length=24, verbose_name='Color:')),
                ('icon', models.CharField(max_length=24, verbose_name='Icon:')),
                ('slug', models.SlugField(blank=True, max_length=100, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Traces',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path_to_file', models.CharField(max_length=200)),
                ('file_name', models.CharField(editable=False, max_length=100)),
                ('md5sum', models.CharField(max_length=32, unique=True)),
                ('coordinates', models.CharField(blank=True, max_length=10000000000, null=True)),
                ('altitude', models.CharField(blank=True, max_length=10000000000, null=True)),
                ('heart_rate', models.CharField(blank=True, max_length=10000000000, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='unknown', max_length=50, verbose_name='Activity Name:')),
                ('date', models.DateField(default=django.utils.timezone.now, verbose_name='Date:')),
                ('duration', models.DurationField(default=datetime.timedelta(seconds=1800), verbose_name='Duration:')),
                ('distance', models.FloatField(blank=True, default=0, null=True, verbose_name='Distance:')),
                ('description', models.CharField(blank=True, max_length=300, null=True, verbose_name='Description:')),
                ('calories', models.IntegerField(blank=True, null=True)),
                ('sport', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wizer.Sport', verbose_name='Sport:')),
                ('trace_file', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='wizer.Traces')),
            ],
        ),
    ]
